#include <stdio.h>

int main(void) {
    int n;

numInput:
    printf("Input positive integer: ");
    scanf("%d", &n);

    if (n < 0) {
        puts("Please input positive integer.");
        goto numInput;
    }

    for (int i = 1; i <= n; i++) {
        printf("%d", i % 10);
    }

    putchar('\n');

    return 0;
}
